Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have downloaded Dwarf Fortress, and I believe I've collected all the required files. However, when I click on the df file, it asks me some things, I click on "Run," and nothing happens. The game just does not open at all.

I am running Ubuntu 12.04 with Gnome 3 on 64-bit. If I could get the game to open I am sure I could deal with the other problems that may occur.

I am fairly new to Ubuntu, and I haven't used Linux since 2009.

Most likely there are some files I don't know about.

Running it in terminal:

$ ./df
./libs/Dwarf_Fortress: error while loading shared libraries: libSDL_image-1.2.so.0:
    cannot open shared object file: No such file or directory 
share|improve this question
    
The best way to diagnose the problem is running it on a terminal. Instead of choosing "Run" choose "Run in terminal" or open a terminal, use cd to change to the directory where df is and run ./df. Then update your question with the output you get. –  Salem Dec 7 '12 at 21:50
    
nex@ExistentialAndroid:~/Downloads/df_linux$ ./df ./libs/Dwarf_Fortress: error while loading shared libraries: libSDL_image-1.2.so.0: cannot open shared object file: No such file or directory nex@ExistentialAndroid:~/Downloads/df_linux$ The only problem is I apparently have libSDL_image-1.2.so.0 installed, at least the Ubuntu Software Center thing tells me it is installed. –  Existential Android Dec 8 '12 at 3:07
add comment

2 Answers

up vote 5 down vote accepted

It seems the game can't find some SDL libraries. Using apt-file the package I get (on 12.10) that provides that libraries is libsdl-image1.2:

➜  apt-file search  libSDL_image-1.2.so.0
libsdl-image1.2: /usr/lib/x86_64-linux-gnu/libSDL_image-1.2.so.0
libsdl-image1.2: /usr/lib/x86_64-linux-gnu/libSDL_image-1.2.so.0.8.4

So you should first verify that package is really installed. If it is then either the program needs the 32bit version or it indeed needs the 64bit version but can't find it.

To install the 32 bit version:

sudo apt-get install libsdl-image1.2:i386

If this still doesn't solve the problem you can try to run the game using LD_DEBUG=libs ./df. This will output a lot of info that could help to detect why it can't find that lib. Also, take a look at the README.linux file in Dwarf Fortress folder and check if all the requirements are satisfied.

share|improve this answer
1  
I did as you suggested, got another error, so I did pretty much the same thing but found out how to install what it asked for, and I found this: libglu1-mesa, but that did not work so I tried ia32-libs. That installed a lot of things, but now DF works. Thanks. –  Existential Android Dec 8 '12 at 18:54
add comment

On my Ubuntu bits, I had 3 packages to install in 32bits for DwarfFortress :

sudo apt-get install libsdl-image1.2:i386
sudo apt-get install libgtk2.0-0:i386
sudo apt-get install libsdl-ttf2.0-0:i386
share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.